Summary: Dnsanon_rssac provides RSSAC002 processing for DNS statistics
Name: perl-dnsanon_rssac
Version: 1.20
Release: 1%{?dist}
License: GPLv2
Group: Applications/Internet
URL: https://ant.isi.edu/software/dnsanon_rssac/
Source0:https://ant.isi.edu/software/dnsanon_rssac/dnsanon_rssac-%{version}.tar.gz
BuildArch: noarch
BuildRequires: perl-interpreter
BuildRequires: make
BuildRequires: pandoc
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::IP)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::YAML::Valid)
Requires: perl-interpreter
Requires: perl(Pod::Usage)
Requires: perl(Getopt::Long)
Requires: perl(DateTime)
Requires: perl(DateTime::Format::ISO8601)
Requires: perl(Net::IP)



%description
Dnsanon_rssac is an implementation of RSSAC002 (v2, v3, v4 and v5)
processing for DNS statistics.
RSSAC002 is the "RSSAC Advisory on Measurements of the Root Server System".
Its processing can be parallelized and and done incrementally.

%prep
%setup -q -n dnsanon_rssac-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# fix up g+s getting set on directories, and executables being 0555
# (*I* think those are ok, but not rpmlint.)
find $RPM_BUILD_ROOT -type d -exec chmod g-s {} ';'
# find $RPM_BUILD_ROOT -executable -exec chmod 0755 {} ';'
%{_fixperms} %{buildroot}/*


%check
make test

%files
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Thu Jan 04 2024 John Heidemann <johnh@isi.edu> 1.20-1
- See https://ant.isi.edu/software/dnsanon_rssac/
